Bug 1731721 - perl-Font-AFM depends on files/directories from non-standard locations
Summary: perl-Font-AFM depends on files/directories from non-standard locations
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Font-AFM
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731683
TreeView+ depends on / blocked
 
Reported: 2019-07-21 11:11 UTC by Igor Gnatenko
Modified: 2020-02-11 15:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Igor Gnatenko 2019-07-21 11:11:52 UTC
Hello,

Fedora Packaging Guidelines allow dependencies only on files/directories from /usr/bin, /usr/sbin and /etc directories[0].
Your package depends on files/directories outside of those. See below for more information about package/dependencies.

---
perl-Font-AFM-1.20-30.fc31.src:
  - /usr/share/a2ps/afm/phvr.afm
---

Please correct those or provide reason why is it correct.
It is very important to not download huge filelists.xml just because few packages in distribution depend on non-standard paths.

Thanks for cooperation!


[0] https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_and_directory_dependencies

Comment 1 Ben Cotton 2019-08-13 17:05:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:58:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Xavier Bachelot 2019-09-19 16:34:42 UTC
This bug is related to https://bugzilla.redhat.com/show_bug.cgi?id=1581656

Comment 4 Ben Cotton 2020-02-11 15:48:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.